/*

This file is (C) Copyright 2002 Erik S. Johansen <einride@einride.org>, all 
rights reserved.

If you work for or represent an organisation, agency or corporation that is 
wholly or partially funded by a government -OR- you are in any way associated 
with the company Cyber Operations, the following licence applies.

You may not use this file or any derivatives of it for any purpose whatsoever,
including reading beyond this comment, redistribution or compiling, without 
explicit written permission from the copyright holder. 

If you do not work for or represent an organisation, agency or corporation 
that is wholly or partially funded by a government -AND- you are not in any 
way associated with the company Cyber Operations, the GNU General Public 
License, as described in the accompanying file GPL, applies.

*/
#ifndef _OPTIONS_H
#define _OPTIONS_H


struct option {
  char * longname;
  char shortname;
  char * argdesc;
  char * desc;
};

typedef int (*optionproc)(int, int, char * []);
typedef void (*usageproc)(char *);


int opt_parse(int argc, char * argv[], 
	      struct option * options, 
	      optionproc optproc, 
	      usageproc preopt_usage, usageproc postopt_usage);

void opt_listoptions(struct option * options);
void opt_usage(char * argv[], struct option * options, usageproc preopt_usage, usageproc postopt_usage);


#endif






