/*

This file is (C) Copyright 2002 Erik S. Johansen <einride@einride.org>, all 
rights reserved.

If you work for or represent an organisation, agency or corporation that is 
wholly or partially funded by a government -OR- you are in any way associated 
with the company Cyber Operations, the following licence applies.

You may not use this file or any derivatives of it for any purpose whatsoever,
including reading beyond this comment, redistribution or compiling, without 
explicit written permission from the copyright holder. 

If you do not work for or represent an organisation, agency or corporation 
that is wholly or partially funded by a government -AND- you are not in any 
way associated with the company Cyber Operations, the GNU General Public 
License, as described in the accompanying file GPL, applies.

*/
#include "ui.h"

extern struct app_glob_struct glob;
extern struct app_arg_struct args;

void ui_showmessage(int level, char * fmt, ...) {
  va_list va;
  char tmp[4096];
  if (level>args.verbose)
    return;
  va_start(va, fmt);
  vsnprintf(tmp, sizeof(tmp), fmt, va);
  tmp[sizeof(tmp)-1] = 0;
  va_end(va); 
  printf("(STATUS) %s\n", tmp);
}

void ui_menumessage(char * fmt, ...) {
  va_list va;
  char tmp[4096];
  va_start(va, fmt);
  vsnprintf(tmp, sizeof(tmp), fmt, va);
  tmp[sizeof(tmp)-1] = 0;
  va_end(va); 
  printf("%s", tmp);
}

void ui_selecttask(task * task) {
  int i;
  for (i=task->wdatastart; i != task->wdataend; i++) {
    if (i==sizeof(task->wdata))
      i=0;
    printf("%c", task->wdata[i]);
  }
}

void ui_appenddata(char * data, int datalen) {
  int i;
  for (i=0;i<datalen;i++)
    printf("%c", data[i]);
}

void ui_init() {
  struct termios tio;
  if (tcgetattr(0, &tio) >= 0) {
    memcpy(&glob.savedtio, &tio, sizeof(tio));
    tio.c_lflag &= ~(ECHO | ICANON);
    tcsetattr(0, TCSAFLUSH, &tio);
  }
}

void ui_cleanup() {
  tcsetattr(0, TCSAFLUSH, &glob.savedtio);
}

void ui_flush() {
  fflush(stdout);
  fflush(stderr);
}

/* Show a message to user 
void notify(int level, char * fmt, ...) {
  va_list va;
  char tmp[4096];
  if (level>args.verbose)
    return;
  va_start(va, fmt);
  vsnprintf(tmp, sizeof(tmp), fmt, va);
  tmp[sizeof(tmp)-1] = 0;
  va_end(va);
  ui_showmessage(level, "%s", tmp);
}
*/

